MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031758Open CASCADE[OCCT] OCCT:Visualizationpublic2020-09-08 18:012020-12-02 17:13
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.5.0Fixed in Version[OCCT] 7.5.0 
Summary0031758: Visualization, AIS_InteractiveContext - unify clearDynamicHighlight() method
DescriptionUse common way in case of IsAutoHilight() and not to remove dynamic highlight draw.
It should be possible to override used method for application needs.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028047closedapn Visualization - support objects with customized highlighting in AIS_InteractiveContext 

-  Notes
(0094264)
git (administrator)
2020-09-08 18:20

Branch CR31758 has been created by osa.

SHA-1: af38398637c41ec874211282c855c53449074940


Detailed log of new commits:

Author: osa
Date: Tue Sep 8 18:22:45 2020 +0300

    0031758: Visualization, AIS_InteractiveContext - unify clearDynamicHighlight() method
(0094265)
osa (developer)
2020-09-08 18:25

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31758-master-OSA/view/ALL/ [^]
(0094275)
osa (developer)
2020-09-09 09:11

The patch is ready to review
(0094292)
kgv (developer)
2020-09-09 11:50

Please raise the patch.
(0094534)
bugmaster (administrator)
2020-09-13 11:03

Combination -
OCCT branch : IR-2020-09-11
master SHA - d1b25684e9402d995dafec22fb98f83957d5fb76
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-11 SHA - a7e55a291cf6642cb4af945a999deeeb5f91272a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17333.360000000142 / 17325.800000000123 [+0.04%]
Products
Total CPU difference: 12056.720000000096 / 12079.64000000011 [-0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 18817.921875 / 18792.46875 [+0.14%]
Products
Total CPU difference: 13294.09375 / 13274.75 [+0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0094587)
git (administrator)
2020-09-13 11:46

Branch CR31758 has been deleted by inv.

SHA-1: af38398637c41ec874211282c855c53449074940

- Related Changesets
occt: master bbbb6bff
Timestamp: 2020-09-08 15:22:45
Author: osa
Committer: bugmaster
Details ] Diff ]
0031758: Visualization, AIS_InteractiveContext - unify clearDynamicHighlight() method
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-08 18:01 osa New Issue
2020-09-08 18:01 osa Assigned To => kgv
2020-09-08 18:07 osa Assigned To kgv => osa
2020-09-08 18:07 osa Status new => assigned
2020-09-08 18:20 git Note Added: 0094264
2020-09-08 18:25 osa Note Added: 0094265
2020-09-09 09:11 osa Note Added: 0094275
2020-09-09 09:11 osa Assigned To osa => kgv
2020-09-09 09:11 osa Status assigned => resolved
2020-09-09 09:11 osa Steps to Reproduce Updated View Revisions
2020-09-09 11:50 kgv Note Added: 0094292
2020-09-09 11:50 kgv Assigned To kgv => bugmaster
2020-09-09 11:50 kgv Status resolved => reviewed
2020-09-09 11:52 kgv Relationship added child of 0028047
2020-09-09 11:52 kgv Product Version => 7.2.0
2020-09-13 11:03 bugmaster Note Added: 0094534
2020-09-13 11:03 bugmaster Status reviewed => tested
2020-09-13 11:11 bugmaster Test case number => Not required
2020-09-13 11:24 bugmaster Changeset attached => occt master bbbb6bff
2020-09-13 11:24 bugmaster Status tested => verified
2020-09-13 11:24 bugmaster Resolution open => fixed
2020-09-13 11:46 git Note Added: 0094587
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker